Bug 169333 - [PATCH] sysutils/syslog-ng2: move sample config to EXAMPLESDIR
Summary: [PATCH] sysutils/syslog-ng2: move sample config to EXAMPLESDIR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-22 21:10 UTC by Craig Leres
Modified: 2013-06-15 22:18 UTC (History)
1 user (show)

See Also:


Attachments
patch-Makefile (2.07 KB, text/plain)
2012-06-22 21:10 UTC, Craig Leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2012-06-22 21:10:09 UTC
	The syslog-ng2 port installs a copy of the sample config in
	/usr/local/etc/syslog-ng even though the actual config now
	lives in /usr/local/etc. It makes more sense to put this under
	/usr/local/share/examples than to clutter /usr/local/etc.

Fix: Please see attached patches.
How-To-Repeat: 	With syslog-ng2 installed:

	    hot 77 % ls -l /usr/local/etc/syslog-ng
	    total 6
	    -r--r--r--  1 root  wheel  5564 Jun 22 12:52 syslog-ng.conf.sample
Comment 1 Edwin Groothuis freebsd_committer 2012-06-22 21:10:19 UTC
Maintainer of sysutils/syslog-ng2,

Please note that PR ports/169333 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169333

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-22 21:10:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Craig Leres freebsd_committer 2012-06-22 23:10:18 UTC
I never seem to have the best luck with attachments to the PR system;
here's a single attachment containing all three patches:

--- Patch.txt begins here ---
--- Makefile.orig	2012-06-22 12:38:26.000000000 -0700
+++ Makefile	2012-06-22 12:42:06.000000000 -0700
@@ -7,6 +7,7 @@

 PORTNAME=	syslog-ng
 PORTVERSION=	2.0.10
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=
http://www.balabit.com/downloads/files/syslog-ng/sources/2.0/src/
 PKGNAMESUFFIX=	2
@@ -57,10 +58,8 @@
 	${INSTALL_DATA} ${WRKSRC}/NEWS ${PREFIX}/share/doc/syslog-ng
 	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/syslog-ng
 .endif
-	@if [ ! -f ${PREFIX}/etc/syslog-ng/syslog-ng.conf.sample ]; then \
-		${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} ${PREFIX}/etc/syslog-ng; \
-		${INSTALL_DATA} ${FILESDIR}/syslog-ng.conf.sample
${PREFIX}/etc/syslog-ng; \
-	fi
+	${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_DATA} ${FILESDIR}/syslog-ng.conf.sample ${EXAMPLESDIR}
 	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.post.mk>
--- files/pkg-message.in.orig	2010-03-26 23:14:03.000000000 -0700
+++ files/pkg-message.in	2012-06-22 12:47:05.000000000 -0700
@@ -4,8 +4,8 @@

 1. Create a configuration file named %%PREFIX%%/etc/syslog-ng.conf
    (a sample named syslog-ng.conf.sample has been included in
-   %%PREFIX%%/etc/syslog-ng). Note that this is a change in 2.0.2
-   version, previous ones put the config file in
+   %%EXAMPLESDIR%%). Note that this is a change in
+   2.0.2 version, previous ones put the config file in
    %%PREFIX%%/etc/syslog-ng/syslog-ng.conf, so if this is an update
    move that file in the right place

@@ -18,7 +18,7 @@
    adding a line to the end of your /etc/rc.conf file that reads:

         syslogd_enable="NO"
-
+
 4. Shut down the standard FreeBSD syslogd:

      kill `cat /var/run/syslog.pid`
--- pkg-plist.orig	2008-04-15 10:59:21.000000000 -0700
+++ pkg-plist	2012-06-22 12:49:36.000000000 -0700
@@ -1,5 +1,4 @@
 @unexec %D/etc/rc.d/syslog-ng.sh stop > /dev/null 2>&1 || true
-etc/syslog-ng/syslog-ng.conf.sample
 bin/loggen
 sbin/syslog-ng
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
@@ -9,4 +8,5 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/sgml
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm etc/syslog-ng
+%%EXAMPLESDIR%%/syslog-ng.conf.sample
+@dirrm %%EXAMPLESDIR%%
--- Patch.txt ends here ---
Comment 4 Stefan Walter freebsd_committer 2013-05-01 09:50:09 UTC
[I'm re-sending this because the port maintainer's e-mail address has
changed in the meantime.]

Dear maintainer of sysutils/syslog-ng2,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169333
Comment 5 Stefan Walter freebsd_committer 2013-05-01 09:50:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this while waiting for maintainer's feedback.
Comment 6 Stefan Walter freebsd_committer 2013-05-12 17:24:33 UTC
Hi Craig,

there hasn't been any reply by the maintainer of sysutils/syslog-ng2, yet.
I would like to mention, though, that it is common to install the sample
configuration files to /usr/local/etc. People don't usually look for it in
${EXAMPLESDIR}, either...

Best regards,
Stefan
Comment 7 Stefan Walter freebsd_committer 2013-06-15 22:17:21 UTC
State Changed
From-To: feedback->closed

Maintainer timeout, and installing sample configuration files to /usr/local/etc 
is commonly accepted.